%global pypi_name psycopg
%global commitId b98f35a06397e3cb8d35e210738b9a49c9496e67

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       3.1.9
Release:       1%{?dist}
Summary:       PostgreSQL database adapter for Python

License:       GNU Lesser General Public License v3 (LGPLv3)
URL:           https://github.com/psycopg/psycopg
Source0:       python-psycopg-b98f35a06397e3cb8d35e210738b9a49c9496e67.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools >= 49.2.0
BuildRequires: python%{python3_pkgversion}-wheel >= 0.37

%global _description %{expand:
Psycopg 3 is a modern implementation of a PostgreSQL adapter for Python.}

%description
%{_description}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:       %{summary}

Requires: python%{python3_pkgversion}-typing-extensions >= 4.1

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
cd psycopg
%py3_build

%install
cd psycopg
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Jul 12 2023 Satoe Imaishi <simaishi@redhat.com> - 3.1.9-1
- Initial Build
